<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>MyHomeWork9</title>
</head>

<body>
    <script>

        let userBirthDate = prompt ("Enter your Birthday");

        calcAgeZodiac(userBirthDate);
        
        function calcAgeZodiac(date) {
            let currentDate = new Date();
            let birthDate = new Date(convertDate(date));
            let age = currentDate.getFullYear() - birthDate.getFullYear();

            if (currentDate.getMonth() < birthDate.getMonth() || (currentDate.getMonth() === birthDate.getMonth() && currentDate.getDate() < birthDate.getDate())) {
                age--;
            };
            alert(age);

            // age done

            let day = birthDate.getDate();
            let month = birthDate.getMonth() + 1;

            if (day >= 21 && month === 3 || day <= 20 && month === 4) {
                alert('Ваш знак зодиака: Овен');
            }

            else if (day >= 21 && month === 4 || day <= 21 && month === 5) {
                alert('Ваш знак зодиака: Телец');
            }

            else if (day >= 21 && month === 5 || day <= 21 && month === 6) {
                alert('Ваш знак зодиака: Близнецы');
            }

            else if (day >= 22 && month === 6 || day <= 22 && month === 7) {
                alert('Ваш знак зодиака: Рак');
            }

            else if (day >= 23 && month === 7 || day <= 23 && month === 8) {
                alert('Ваш знак зодиака: Лев');
            }

            else if (day >= 24 && month === 8 || day <= 23 && month === 9) {
                alert('Ваш знак зодиака: Дева');
            }

            else if (day >= 24 && month === 9 || day <= 23 && month === 10) {
                alert('Ваш знак зодиака: Весы');
            }

            else if (day >= 24 && month === 10 || day <= 22 && month === 11) {
                alert('Ваш знак зодиака: Скорпион');
            }

            else if (day >= 23 && month === 11 || day <= 21 && month === 12) {
                alert('Ваш знак зодиака: Стрелец');
            }

            else if (day >= 22 && month === 12 || day <= 20 && month === 1) {
                alert('Ваш знак зодиака: Козерог');
            }

            else if (day >= 21 && month === 1 || day <= 20 && month === 2) {
                alert('Ваш знак зодиака: Водолей');
            }

            else if (day >= 21 && month === 2 || day <= 20 && month === 3) {
                alert('Ваш знак зодиака: Рыбы');
            }
        }

        function convertDate(dateString) {
            return dateString.split('.').reverse().join('-');
        }

    </script>
</body>

</html>